<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDGFShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDGFShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10,"i46":10,"i47":10,"i48":10,"i49":10,"i50":10,"i51":10,"i52":10,"i53":10,"i54":10,"i55":10,"i56":10,"i57":10,"i58":10,"i59":10,"i60":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDGFShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFRelation.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/XDGFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="XDGFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xdgf.usermodel.XDGFSheet">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xdgf.usermodel</div>
    <h2 title="Class XDGFShape" class="title">Class XDGFShape</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                       title="class in org.apache.poi.xdgf.usermodel">org.apache.poi.xdgf.usermodel.XDGFSheet</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xdgf.usermodel.XDGFShape</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XDGFShape</span>
extends <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
           title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></pre>
                <div class="block">A shape is a collection of Geometry Visualization, Format, Text, Images, and
                    Shape Data in a Drawing Page.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xdgf.usermodel.XDGFSheet">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xdgf.usermodel.<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></h3>
                                <code><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_cells">_cells</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_character">_character</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_document">_document</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_geometry">_geometry</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_sections">_sections</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#Z:Z_sheet">_sheet</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#XDGFShape-com.microsoft.schemas.office.visio.x2012.main.ShapeSheetType-org.apache.poi.xdgf.usermodel.XDGFBaseContents-org.apache.poi.xdgf.usermodel.XDGFDocument-">XDGFShape</a></span>(com.microsoft.schemas.office.visio.x2012.main.ShapeSheetType&nbsp;shapeSheet,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html"
                                       title="class in org.apache.poi.xdgf.usermodel">XDGFBaseContents</a>&nbsp;parentPage,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                       title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a>&nbsp;document)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#XDGFShape-org.apache.poi.xdgf.usermodel.XDGFShape-com.microsoft.schemas.office.visio.x2012.main.ShapeSheetType-org.apache.poi.xdgf.usermodel.XDGFBaseContents-org.apache.poi.xdgf.usermodel.XDGFDocument-">XDGFShape</a></span>(<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent,
                                    com.microsoft.schemas.office.visio.x2012.main.ShapeSheetType&nbsp;shapeSheet,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html"
                                       title="class in org.apache.poi.xdgf.usermodel">XDGFBaseContents</a>&nbsp;parentPage,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                       title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a>&nbsp;document)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getAngle--">getAngle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getBeginX--">getBeginX</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getBeginY--">getBeginY</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.awt.geom.Rectangle2D.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getBounds--">getBounds</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.awt.geom.Path2D.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getBoundsAsPath--">getBoundsAsPath</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getCell-java.lang.String-">getCell</a></span>(java.lang.String&nbsp;cellName)</code>
                                    <div class="block">A cell is really just a setting</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getEndX--">getEndX</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getEndY--">getEndY</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>java.lang.Boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getFlipX--">getFlipX</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.lang.Boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getFlipY--">getFlipY</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>java.awt.Color</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getFontColor--">getFontColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getFontSize--">getFontSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/section/GeometrySection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">GeometrySection</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getGeometryByIdx-long-">getGeometryByIdx</a></span>(long&nbsp;idx)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.Iterable&lt;<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/section/GeometrySection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">GeometrySection</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getGeometrySections--">getGeometrySections</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getHeight--">getHeight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getID--">getID</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getLineCap--">getLineCap</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>java.awt.Color</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getLineColor--">getLineColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getLinePattern--">getLinePattern</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getLineWeight--">getLineWeight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getLocPinX--">getLocPinX</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getLocPinY--">getLocPinY</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getMasterShape--">getMasterShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getName--">getName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getParentShape--">getParentShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>protected java.awt.geom.AffineTransform</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getParentTransform--">getParentTransform</a></span>()</code>
                                    <div class="block">Returns a transform that can translate shape-local coordinates to
                                        the
                                        coordinates of its parent shape
                                    </div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>java.awt.geom.Path2D.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getPath--">getPath</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getPinX--">getPinX</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getPinY--">getPinY</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getShapes--">getShapes</a></span>()</code>
                                    <div class="block">Only available if this shape is a shape group, may be null</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getShapeType--">getShapeType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>java.awt.Stroke</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getStroke--">getStroke</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getSymbolName--">getSymbolName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFText.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFText</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getText--">getText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getTextAsString--">getTextAsString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getTopmostParentShape--">getTopmostParentShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i36" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getTxtAngle--">getTxtAngle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i37" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getTxtHeight--">getTxtHeight</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i38" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getTxtLocPinX--">getTxtLocPinX</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i39" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getTxtLocPinY--">getTxtLocPinY</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i40" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getTxtPinX--">getTxtPinX</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i41" class="rowColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getTxtPinY--">getTxtPinY</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i42" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getTxtWidth--">getTxtWidth</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i43" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getType--">getType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i44" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getWidth--">getWidth</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i45" class="rowColor">
                                <td class="colFirst">
                                    <code>com.microsoft.schemas.office.visio.x2012.main.ShapeSheetType</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i46" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#hasGeometry--">hasGeometry</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i47" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#hasMaster--">hasMaster</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i48" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#hasMasterShape--">hasMasterShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i49" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#hasParent--">hasParent</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i50" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#hasShapes--">hasShapes</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i51" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#hasText--">hasText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i52" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#isDeleted--">isDeleted</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i53" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#isShape1D--">isShape1D</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i54" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#isTopmost--">isTopmost</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i55" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#readProperties--">readProperties</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i56" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#setupMaster-org.apache.poi.xdgf.usermodel.XDGFPageContents-org.apache.poi.xdgf.usermodel.XDGFMasterContents-">setupMaster</a></span>(<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFPageContents.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFPageContents</a>&nbsp;pageContents,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFMasterContents.html"
                                       title="class in org.apache.poi.xdgf.usermodel">XDGFMasterContents</a>&nbsp;master)</code>
                                    <div class="block">Setup top level shapes

                                        Shapes that have a 'Master' attribute refer to a specific master in the
                                        page, whereas shapes with a 'MasterShape' attribute refer to a subshape
                                        of a Master.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i57" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#setupSectionMasters--">setupSectionMasters</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i58" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i59" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#visitShapes-org.apache.poi.xdgf.usermodel.shape.ShapeVisitor-java.awt.geom.AffineTransform-int-">visitShapes</a></span>(<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html"
                                        title="class in org.apache.poi.xdgf.usermodel.shape">ShapeVisitor</a>&nbsp;visitor,
                                    java.awt.geom.AffineTransform&nbsp;tr,
                                    int&nbsp;level)</code>
                                    <div class="block">The visitor will first visit this shape, then it's children

                                        This is useful because exceptions will be marked with the shapes as it
                                        propagates up the shape hierarchy.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i60" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html#visitShapes-org.apache.poi.xdgf.usermodel.shape.ShapeVisitor-int-">visitShapes</a></span>(<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html"
                                        title="class in org.apache.poi.xdgf.usermodel.shape">ShapeVisitor</a>&nbsp;visitor,
                                    int&nbsp;level)</code>
                                    <div class="block">The visitor will first visit this shape, then it's children.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xdgf.usermodel.XDGFSheet">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xdgf.usermodel.<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getDocument--">getDocument</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getFillStyle--">getFillStyle</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLineStyle--">getLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getSection-java.lang.String-">getSection</a>,
                                    <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getTextStyle--">getTextStyle</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDGFShape-com.microsoft.schemas.office.visio.x2012.main.ShapeSheetType-org.apache.poi.xdgf.usermodel.XDGFBaseContents-org.apache.poi.xdgf.usermodel.XDGFDocument-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XDGFShape</h4>
                                <pre>public&nbsp;XDGFShape(com.microsoft.schemas.office.visio.x2012.main.ShapeSheetType&nbsp;shapeSheet,
                 <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html"
                    title="class in org.apache.poi.xdgf.usermodel">XDGFBaseContents</a>&nbsp;parentPage,
                 <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                    title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a>&nbsp;document)</pre>
                            </li>
                        </ul>
                        <a name="XDGFShape-org.apache.poi.xdgf.usermodel.XDGFShape-com.microsoft.schemas.office.visio.x2012.main.ShapeSheetType-org.apache.poi.xdgf.usermodel.XDGFBaseContents-org.apache.poi.xdgf.usermodel.XDGFDocument-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDGFShape</h4>
                                <pre>public&nbsp;XDGFShape(<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;parent,
                 com.microsoft.schemas.office.visio.x2012.main.ShapeSheetType&nbsp;shapeSheet,
                 <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html"
                    title="class in org.apache.poi.xdgf.usermodel">XDGFBaseContents</a>&nbsp;parentPage,
                 <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                    title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a>&nbsp;document)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readProperties</h4>
                                <pre>protected&nbsp;void&nbsp;readProperties()</pre>
                            </li>
                        </ul>
                        <a name="setupMaster-org.apache.poi.xdgf.usermodel.XDGFPageContents-org.apache.poi.xdgf.usermodel.XDGFMasterContents-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setupMaster</h4>
                                <pre>protected&nbsp;void&nbsp;setupMaster(<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFPageContents.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFPageContents</a>&nbsp;pageContents,
                           <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFMasterContents.html"
                              title="class in org.apache.poi.xdgf.usermodel">XDGFMasterContents</a>&nbsp;master)</pre>
                                <div class="block">Setup top level shapes

                                    Shapes that have a 'Master' attribute refer to a specific master in the
                                    page, whereas shapes with a 'MasterShape' attribute refer to a subshape
                                    of a Master.
                                </div>
                            </li>
                        </ul>
                        <a name="setupSectionMasters--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setupSectionMasters</h4>
                                <pre>protected&nbsp;void&nbsp;setupSectionMasters()</pre>
                            </li>
                        </ul>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;com.microsoft.schemas.office.visio.x2012.main.ShapeSheetType&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                        <a name="getID--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getID</h4>
                                <pre>public&nbsp;long&nbsp;getID()</pre>
                            </li>
                        </ul>
                        <a name="getType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getType</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getType()</pre>
                            </li>
                        </ul>
                        <a name="getTextAsString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextAsString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getTextAsString()</pre>
                            </li>
                        </ul>
                        <a name="hasText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasText</h4>
                                <pre>public&nbsp;boolean&nbsp;hasText()</pre>
                            </li>
                        </ul>
                        <a name="getCell-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                                    title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&nbsp;getCell(java.lang.String&nbsp;cellName)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getCell-java.lang.String-">XDGFSheet</a></code></span>
                                </div>
                                <div class="block">A cell is really just a setting</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getCell-java.lang.String-">getCell</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                                title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cellName</code> - The particular setting you want</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getGeometryByIdx-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGeometryByIdx</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/section/GeometrySection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">GeometrySection</a>&nbsp;getGeometryByIdx(long&nbsp;idx)</pre>
                            </li>
                        </ul>
                        <a name="getShapes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapes</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&gt;&nbsp;getShapes()</pre>
                                <div class="block">Only available if this shape is a shape group, may be null</div>
                            </li>
                        </ul>
                        <a name="getName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
                            </li>
                        </ul>
                        <a name="getShapeType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeType</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getShapeType()</pre>
                            </li>
                        </ul>
                        <a name="getSymbolName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSymbolName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSymbolName()</pre>
                            </li>
                        </ul>
                        <a name="getMasterShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMasterShape</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;getMasterShape()</pre>
                            </li>
                        </ul>
                        <a name="getParentShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParentShape</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;getParentShape()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The parent shape if this is a subshape, null otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTopmostParentShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTopmostParentShape</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFShape.html"
                                                    title="class in org.apache.poi.xdgf.usermodel">XDGFShape</a>&nbsp;getTopmostParentShape()</pre>
                            </li>
                        </ul>
                        <a name="hasMaster--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasMaster</h4>
                                <pre>public&nbsp;boolean&nbsp;hasMaster()</pre>
                            </li>
                        </ul>
                        <a name="hasMasterShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasMasterShape</h4>
                                <pre>public&nbsp;boolean&nbsp;hasMasterShape()</pre>
                            </li>
                        </ul>
                        <a name="hasParent--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasParent</h4>
                                <pre>public&nbsp;boolean&nbsp;hasParent()</pre>
                            </li>
                        </ul>
                        <a name="hasShapes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasShapes</h4>
                                <pre>public&nbsp;boolean&nbsp;hasShapes()</pre>
                            </li>
                        </ul>
                        <a name="isTopmost--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isTopmost</h4>
                                <pre>public&nbsp;boolean&nbsp;isTopmost()</pre>
                            </li>
                        </ul>
                        <a name="isShape1D--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isShape1D</h4>
                                <pre>public&nbsp;boolean&nbsp;isShape1D()</pre>
                            </li>
                        </ul>
                        <a name="isDeleted--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isDeleted</h4>
                                <pre>public&nbsp;boolean&nbsp;isDeleted()</pre>
                            </li>
                        </ul>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFText.html"
                                                    title="class in org.apache.poi.xdgf.usermodel">XDGFText</a>&nbsp;getText()</pre>
                            </li>
                        </ul>
                        <a name="getPinX--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPinX</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getPinX()</pre>
                            </li>
                        </ul>
                        <a name="getPinY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPinY</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getPinY()</pre>
                            </li>
                        </ul>
                        <a name="getWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWidth</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getWidth()</pre>
                            </li>
                        </ul>
                        <a name="getHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeight</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getHeight()</pre>
                            </li>
                        </ul>
                        <a name="getLocPinX--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLocPinX</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getLocPinX()</pre>
                            </li>
                        </ul>
                        <a name="getLocPinY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLocPinY</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getLocPinY()</pre>
                            </li>
                        </ul>
                        <a name="getBeginX--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBeginX</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getBeginX()</pre>
                            </li>
                        </ul>
                        <a name="getBeginY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBeginY</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getBeginY()</pre>
                            </li>
                        </ul>
                        <a name="getEndX--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndX</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getEndX()</pre>
                            </li>
                        </ul>
                        <a name="getEndY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEndY</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getEndY()</pre>
                            </li>
                        </ul>
                        <a name="getAngle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAngle</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getAngle()</pre>
                            </li>
                        </ul>
                        <a name="getFlipX--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFlipX</h4>
                                <pre>public&nbsp;java.lang.Boolean&nbsp;getFlipX()</pre>
                            </li>
                        </ul>
                        <a name="getFlipY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFlipY</h4>
                                <pre>public&nbsp;java.lang.Boolean&nbsp;getFlipY()</pre>
                            </li>
                        </ul>
                        <a name="getTxtPinX--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTxtPinX</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getTxtPinX()</pre>
                            </li>
                        </ul>
                        <a name="getTxtPinY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTxtPinY</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getTxtPinY()</pre>
                            </li>
                        </ul>
                        <a name="getTxtLocPinX--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTxtLocPinX</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getTxtLocPinX()</pre>
                            </li>
                        </ul>
                        <a name="getTxtLocPinY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTxtLocPinY</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getTxtLocPinY()</pre>
                            </li>
                        </ul>
                        <a name="getTxtAngle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTxtAngle</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getTxtAngle()</pre>
                            </li>
                        </ul>
                        <a name="getTxtWidth--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTxtWidth</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getTxtWidth()</pre>
                            </li>
                        </ul>
                        <a name="getTxtHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTxtHeight</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getTxtHeight()</pre>
                            </li>
                        </ul>
                        <a name="getLineCap--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineCap</h4>
                                <pre>public&nbsp;java.lang.Integer&nbsp;getLineCap()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLineCap--">getLineCap</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                                title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLineColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineColor</h4>
                                <pre>public&nbsp;java.awt.Color&nbsp;getLineColor()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLineColor--">getLineColor</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                                title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLinePattern--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLinePattern</h4>
                                <pre>public&nbsp;java.lang.Integer&nbsp;getLinePattern()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLinePattern--">getLinePattern</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                                title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLineWeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineWeight</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getLineWeight()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getLineWeight--">getLineWeight</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                                title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontColor</h4>
                                <pre>public&nbsp;java.awt.Color&nbsp;getFontColor()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getFontColor--">getFontColor</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                                title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontSize</h4>
                                <pre>public&nbsp;java.lang.Double&nbsp;getFontSize()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html#getFontSize--">getFontSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
                                                title="class in org.apache.poi.xdgf.usermodel">XDGFSheet</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStroke--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStroke</h4>
                                <pre>public&nbsp;java.awt.Stroke&nbsp;getStroke()</pre>
                            </li>
                        </ul>
                        <a name="getGeometrySections--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGeometrySections</h4>
                                <pre>public&nbsp;java.lang.Iterable&lt;<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/section/GeometrySection.html"
                                        title="class in org.apache.poi.xdgf.usermodel.section">GeometrySection</a>&gt;&nbsp;getGeometrySections()</pre>
                            </li>
                        </ul>
                        <a name="getBounds--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBounds</h4>
                                <pre>public&nbsp;java.awt.geom.Rectangle2D.Double&nbsp;getBounds()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>rectangle in local coordinates</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBoundsAsPath--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBoundsAsPath</h4>
                                <pre>public&nbsp;java.awt.geom.Path2D.Double&nbsp;getBoundsAsPath()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>returns bounds as a path in local coordinates, which is
                                        userful if you need to transform to global coordinates

                                        Warning: Don't use this for 1d objects, and will fail for
                                        infinite line objects
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPath--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPath</h4>
                                <pre>public&nbsp;java.awt.geom.Path2D.Double&nbsp;getPath()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The outline of the shape in local coordinates</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hasGeometry--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasGeometry</h4>
                                <pre>public&nbsp;boolean&nbsp;hasGeometry()</pre>
                            </li>
                        </ul>
                        <a name="getParentTransform--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParentTransform</h4>
                                <pre>protected&nbsp;java.awt.geom.AffineTransform&nbsp;getParentTransform()</pre>
                                <div class="block">Returns a transform that can translate shape-local coordinates to the
                                    coordinates of its parent shape
                                </div>
                            </li>
                        </ul>
                        <a name="visitShapes-org.apache.poi.xdgf.usermodel.shape.ShapeVisitor-java.awt.geom.AffineTransform-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visitShapes</h4>
                                <pre>public&nbsp;void&nbsp;visitShapes(<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html"
                                        title="class in org.apache.poi.xdgf.usermodel.shape">ShapeVisitor</a>&nbsp;visitor,
                        java.awt.geom.AffineTransform&nbsp;tr,
                        int&nbsp;level)</pre>
                                <div class="block">The visitor will first visit this shape, then it's children

                                    This is useful because exceptions will be marked with the shapes as it
                                    propagates up the shape hierarchy.
                                </div>
                            </li>
                        </ul>
                        <a name="visitShapes-org.apache.poi.xdgf.usermodel.shape.ShapeVisitor-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>visitShapes</h4>
                                <pre>public&nbsp;void&nbsp;visitShapes(<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/shape/ShapeVisitor.html"
                                        title="class in org.apache.poi.xdgf.usermodel.shape">ShapeVisitor</a>&nbsp;visitor,
                        int&nbsp;level)</pre>
                                <div class="block">The visitor will first visit this shape, then it's children. No
                                    transform
                                    is calculated for this visit

                                    This is useful because exceptions will be marked with the shapes as it
                                    propagates up the shape hierarchy.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDGFShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFRelation.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFSheet.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/XDGFShape.html" target="_top">Frames</a>
        </li>
        <li><a href="XDGFShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xdgf.usermodel.XDGFSheet">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
